* Encoding: UTF-8.
**********************************************************************************.
**ENCUESTA DE EDIFICACIONES PERMISOS DE CONSTRUCCIN -2018**.
**********************************************************************************.
**INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)**.
**DIRECCIN DE ESTADSTICAS ECONMICAS (DECON)**.
**UNIDAD DE GESTIN DE ESTADSTICAS ESTRUCTURALES (GESE)**.
**LTIMA FECHA DE MODIFICACIN: 06/09/2019***.


*Para generar los indicadores abrir la base: 2018_EDIFICACIONES_BDD.sav


*************
*************
Ingreso de la poblacin proyectada 2018.

NUMERIC   POBLACION (f10.0).
IF(codprovf="01") POBLACION =  853070.
IF(codprovf="02") POBLACION =  206771.
IF(codprovf="03") POBLACION =  272236.
IF(codprovf="04") POBLACION =  184136.
IF(codprovf="05") POBLACION =  476428.
IF(codprovf="06") POBLACION =  515417.
IF(codprovf="07") POBLACION =  698545.
IF(codprovf="08") POBLACION =  626626.
IF(codprovf="09") POBLACION =  4267893.
IF(codprovf="10") POBLACION =  463957.
IF(codprovf="11") POBLACION =  511184.
IF(codprovf="12") POBLACION =  899632.
IF(codprovf="13") POBLACION =  1537090.
IF(codprovf="14") POBLACION =  188028.
IF(codprovf="15") POBLACION =  128252.
IF(codprovf="16") POBLACION =  108365.
IF(codprovf="17") POBLACION =  3116111.
IF(codprovf="18") POBLACION =  577551.
IF(codprovf="19") POBLACION =  115368.
IF(codprovf="20") POBLACION =  31600.
IF(codprovf="21") POBLACION =  220483.
IF(codprovf="22") POBLACION =  157520.
IF(codprovf="23") POBLACION =  442788.
IF(codprovf="24") POBLACION =  384102.
IF(codprovf="90") POBLACION =  40255.
EXECUTE   .
VARIABLE LABELS   POBLACION 'Poblacin proyectada 2018'.


/*****************************************/
/**INDICADOR 1:Metros cuadrados a construir por 100 habitantes
/*****************************************/

*Clculo de la superficie a contruir por cada 100 habitantes

compute m2_100hab=(CARCO )/POBLACION*100.
EXECUTE.
VARIABLE LABELS m2_100hab 'Metros cuadrados a construir por 100 habitantes'.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=codprovf
  /m2_100hab_agre=sum(m2_100hab).

COMPUTE m2_100hab= m2_100hab_agre.
EXECUTE.

DELETE VARIABLES m2_100hab_agre.

* Tablas personalizadas.
*Cuadro 17

CTABLES
  /VLABELS VARIABLES=codprovf m2_100hab CARCO POBLACION DISPLAY=BOTH
  /TABLE codprovf [C] BY m2_100hab [S][MEAN] + CARCO [S][SUM] + POBLACION [S][MEAN]
  /CATEGORIES VARIABLES=codprovf ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES
    TITLE='METROS CUADRADOS A CONSTRUIR POR CADA 100 HABITANTES ao 2018'
'SEGN PROVINCIAS'
'(METROS CUADRADOS)'
    CAPTION='FUENTE: INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.


*****************************************/
/**INDICADOR 2:Nmero de viviendas a construir por 100 mil habitantes
/*****************************************/

*Clculo del nmero de viviendas a contruir por cada 100.000 habitantes

NUMERIC   viv_100000hab (f10).
compute viv_100000hab=(CNUVICAL )/POBLACION*100000.
EXECUTE   .
VARIABLE LABELS   viv_100000hab 'Viviendas a construir por 100000 habitantes'.

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=codprovf
  /viv_100000hab_agre=sum(viv_100000hab).

COMPUTE viv_100000hab= viv_100000hab_agre.
EXECUTE.

DELETE VARIABLES viv_100000hab_agre.

* Tablas personalizadas.
*Cuadro 18

CTABLES
  /VLABELS VARIABLES=codprovf viv_100000hab CNUVICAL POBLACION DISPLAY=BOTH
  /TABLE codprovf [C] BY viv_100000hab [S][MEAN] + CNUVICAL [S][SUM] + POBLACION [S][MEAN]
  /CATEGORIES VARIABLES=codprovf ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CRITERIA CILEVEL=95
  /TITLES
    TITLE='VIVIENDAS A CONSTRUIR POR CADA 100.000 HABITANTES ao 2018 '
'POR PROVINCIAS'
'(NMERO)'
    CAPTION='FUENTE: INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.


/*****************************************/
/**INDICADOR 3: Edificaciones por cada 100.000 habitantes
/*****************************************/

*Clculo del nmero de edificaciones por cada 100.000 habitantes

NUMERIC   perm_100000hab (f10).
compute perm_100000hab=(CPERM )/POBLACION*100000.
EXECUTE   .
VARIABLE LABELS   perm_100000hab 'Edificaciones por cada 100.000 habitantes'.


AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=codprovf
  /perm_100000hab_agre=sum(perm_100000hab).

COMPUTE perm_100000hab= perm_100000hab_agre.
EXECUTE.

DELETE VARIABLES perm_100000hab_agre.

* Tablas personalizadas.
* Cuadro 19

CTABLES
  /VLABELS VARIABLES= codprovf perm_100000hab CPERM POBLACION DISPLAY=BOTH
  /TABLE codprovf [C] BY perm_100000hab [S][MEAN] + CPERM [S][SUM] + 
    POBLACION [S][MEAN]
  /CATEGORIES VARIABLES=codprovf ORDER=A KEY=VALUE EMPTY=EXCLUDE
 /CRITERIA CILEVEL=95
  /TITLES
    TITLE='EDIFICACIONES POR CADA 100.000 HABITANTES ao 2018'
'POR PROVINCIAS'
'(NMERO)'
    CAPTION='FUENTE: INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.


/*****************************************/
/**INDICADOR 4:Promedio de metros cuadrados por vivienda
/*****************************************/

* Se filtra la BDD considerando nicamente a las nuevas construcciones para uso residencial

USE ALL.
COMPUTE filterCARES_$=(CTIPOBR=1 & CARES>0 & CNUVICAL>0).
VARIABLE LABELS filterCARES_$ 'CTIPOBR=1'.
VALUE LABELS filterCARES_$ 0 'Not Selected' 1 'Selected'.
FORMATS filterCARES_$ (f1.0).
FILTER BY filterCARES_$.
EXECUTE.

*Clculo del nmero de los metros cuadrados de construccin por vivienda.

compute Area_viv=CARES/CNUVICAL.
EXECUTE. 

* Tablas personalizadas.
* Cuadro 20

CTABLES
  /VLABELS VARIABLES=codprovf  Area_viv DISPLAY=LABEL
  /TABLE codprovf [C] BY Area_viv [S][MEAN]
  /CATEGORIES VARIABLES=codprovf ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
   /CRITERIA CILEVEL=95
  /TITLES
    TITLE='Promedio de metros cuadrados por vivienda, ao 2018'
'POR PROVINCIAS'
'(PROMEDIO DE METROS CUADRADOS)'
    CAPTION='FUENTE: INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.

FILTER OFF. 

DELETE VARIABLES Area_viv. 

***********************************
***********************************
***********************************



