* Encoding: UTF-8.
**********************************************************************************.
**ENCUESTA DE EDIFICACIONES PERMISOS DE CONSTRUCCIN -2018**.
**********************************************************************************.
**INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC)**.
**DIRECCIN DE ESTADSTICAS ECONMICAS (DECON)**.
**UNIDAD DE GESTIN DE ESTADSTICAS ESTRUCTURALES (GESE)**.
**LTIMA FECHA DE MODIFICACIN: 06/09/2019***.


*Se crean las variables a utilizarse en los tabulados.
compute t=1.
compute tg=1.
var label 
t 'TOTAL' 
tg 'TOTAL REPBLICA'.
execute.

*Se Recodifica [cdispuso] cruzada con [propie] para que aparezca Educacin Pblica y Privada y Hospitales Pblicos y Privados.
COMPUTE cdispusx = 0.
if (cdispuso = 1) cdispusx = 1.
if (cdispuso = 2) cdispusx = 2.
if (cdispuso = 3) cdispusx = 3.
if (cdispuso = 4) cdispusx = 4.
if (cdispuso = 5) cdispusx = 5.
if (cdispuso = 6) cdispusx = 6.
if (cdispuso = 7) cdispusx = 7.
if (cdispuso = 7 & propie = 1) cdispusx = 8.
if (cdispuso = 7 & propie = 2) cdispusx = 9.
if (cdispuso = 8)   cdispusx = 10.
if (cdispuso = 9)   cdispusx = 11.
if (cdispuso = 10) cdispusx = 12.
if (cdispuso = 10 & propie = 1) cdispusx = 13.
if (cdispuso = 10 & propie = 2) cdispusx = 14.
if (cdispuso = 11) cdispusx = 15.
if (cdispuso = 12) cdispusx = 16.
if (cdispuso = 13) cdispusx = 17.
if (cdispuso = 14) cdispusx = 18.
if (cdispuso = 0) cdispusx = 0.
var label cdispusx 'PROPOSITO DE LA CONSTRUCCIN'.
val label
/cdispusx
  1   'Una Familia'
  2   'Dos Familias'
  3   'Tres o Ms Familias'
  4   'Comercial'
  5   'Industrial'
  6   'Edificio Administrativo'
  7   'Educacin'
  8   'Educacin Privada'
  9   'Educacin Pblica'
  10   'Cultura'
  11   'Recreacin Deporte'
  12  'Hospitales Clnicas Estab de Salud'
  13  'Hospitales Clnicas Estab de Salud Privada'
  14  'Hospitales Clnicas Estab de Salud Pblica'
  15  'Transporte y Comunicaciones'
  16  'Iglesias - Templos - Afines'
  17  'Mixto Residencial y No Residencial'
  18  'Otras'
  0    'No Aplica'.
execute.

*Se crea la variable de total de rea a construir sin parqueadero.
compute carcsing=carco-cardpar.
var label carcsing 'AREA TOTAL SIN PARQUEADERO'.
execute.

* Nmero de pisos para edificaciones de tipo residencial.
IF (cdispuso >= 1 & cdispuso <= 3) TCDISREP = 1.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical = 1) CDISREP = 1.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical = 2) CDISREP = 2.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical = 3) CDISREP = 3.
IF ((cdispuso >= 1 & cdispuso <= 3) & nupical >= 4) CDISREP = 4.
var label TCDISREP 'SUBTOTAL RESIDENCIAL'
/CDISREP 'RESIDENCIAL'.
val label
/cdisrep
  1   '1 PISO'
  2   '2 PISOS'
  3   '3 PISOS'
  4   '4 Y MAS PISOS'.

* Nmero de pisos para edificaciones de tipo No Residencial.
IF ((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) TCDISNRP = 1.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical = 1) CDISNRP = 1.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical = 2) CDISNRP = 2.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical = 3) CDISNRP = 3.
IF (((cdispuso >= 4 & cdispuso <= 12) | cdispuso = 14) & nupical >= 4) CDISNRP = 4.
var label TCDISNRP 'SUBTOTAL NO RESIDENCIAL'
/CDISNRP 'NO RESIDENCIAL'.
value label
/cdisnrp
  1   '1 PISO'
  2   '2 PISOS'
  3   '3 PISOS'
  4   '4 Y MAS PISOS'.

* Nmero de pisos para edificaciones de tipo Mixta.
IF (cdispuso = 13) TCDISMIP = 1.
IF (cdispuso = 13 & nupical = 1) CDISMIP = 1.
IF (cdispuso = 13 & nupical = 2) CDISMIP = 2.
IF (cdispuso = 13 & nupical = 3) CDISMIP = 3.
IF (cdispuso = 13 & nupical >= 4)  CDISMIP = 4.
var label TCDISMIP 'SUBTOTAL MIXTA'
/CDISMIP 'MIXTA'.
val label
/cdismip
  1   '1 PISO'
  2   '2 PISOS'
  3   '3 PISOS'
  4   '4 Y MAS PISOS'.
execute.

* Nmero de cuartos para Residencial 1 Familia. 
IF (cdispuso = 1) TCVIVREP = 1.
IF (cdispuso = 1 & nucucal = 1) CVIVREP = 1.
IF (cdispuso = 1 & nucucal = 2) CVIVREP = 2.
IF (cdispuso = 1 & nucucal = 3) CVIVREP = 3.
IF (cdispuso = 1 & nucucal = 4) CVIVREP = 4.
IF (cdispuso = 1 & nucucal = 5) CVIVREP = 5.
IF (cdispuso = 1 & nucucal = 6) CVIVREP = 6.
IF (cdispuso = 1 & nucucal >= 7) CVIVREP = 7.
var label TCVIVREP 'SUBTOTAL 1 FAMILIA'
/CVIVREP '1 FAMILIA'.
value label
cvivrep
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.

* Nmero de cuartos para Residencial 2 Familias. 
IF (cdispuso = 2) TCVIVRE2 = 1.
IF (cdispuso = 2 & nucucal = 1) CVIVRE2 = 1.
IF (cdispuso = 2 & nucucal = 2) CVIVRE2 = 2.
IF (cdispuso = 2 & nucucal = 3) CVIVRE2 = 3.
IF (cdispuso = 2 & nucucal = 4) CVIVRE2 = 4.
IF (cdispuso = 2 & nucucal = 5) CVIVRE2 = 5.
IF (cdispuso = 2 & nucucal = 6) CVIVRE2 = 6.
IF (cdispuso = 2 & nucucal >= 7) CVIVRE2 = 7.
var label TCVIVRE2 'SUBTOTAL 2 FAMILIAS'
/CVIVRE2 '2 FAMILIAS'.
value label
cvivre2
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.

* Nmero de cuartos para Residencial 3 Familias. 
IF (cdispuso = 3) TCVIVRE3 = 1.
IF (cdispuso = 3 & nucucal = 1) CVIVRE3 = 1.
IF (cdispuso = 3 & nucucal = 2) CVIVRE3 = 2.
IF (cdispuso = 3 & nucucal = 3) CVIVRE3 = 3.
IF (cdispuso = 3 & nucucal = 4) CVIVRE3 = 4.
IF (cdispuso = 3 & nucucal = 5) CVIVRE3 = 5.
IF (cdispuso = 3 & nucucal = 6) CVIVRE3 = 6.
IF (cdispuso = 3 & nucucal >= 7) CVIVRE3 = 7.
var label TCVIVRE3 'SUBTOTAL 3 FAMILIAS'
/CVIVRE3 '3 FAMILIAS'.
value label
cvivre3
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.

* Nmero de cuartos para Residencial Mixta. 
IF (cdispuso = 13) TCVIVRE4 = 1.
IF (cdispuso = 13 & nucucal = 1) CVIVRE4 = 1.
IF (cdispuso = 13 & nucucal = 2) CVIVRE4 = 2.
IF (cdispuso = 13 & nucucal = 3) CVIVRE4 = 3.
IF (cdispuso = 13 & nucucal = 4) CVIVRE4 = 4.
IF (cdispuso = 13 & nucucal = 5) CVIVRE4 = 5.
IF (cdispuso = 13 & nucucal = 6) CVIVRE4 = 6.
IF (cdispuso = 13 & nucucal >= 7) CVIVRE4 = 7.
var label TCVIVRE4 'SUBTOTAL MIXTA'
/CVIVRE4 'MIXTA'.
value label
cvivre4
  1   '1 CUARTO'
  2   '2 CUARTOS'
  3   '3 CUARTOS'
  4   '4 CUARTOS'
  5   '5 CUARTOS'
  6   '6 CUARTOS'
  7   '7 Y MAS CUARTOS'.
execute.

* Nmero de dormitorios para  Residencial 1 Familia. 
IF (cdispuso = 1) TDVIVREP = 1.
IF (cdispuso = 1 & nudocal = 1) DVIVREP = 1.
IF (cdispuso = 1 & nudocal = 2) DVIVREP = 2.
IF (cdispuso = 1 & nudocal = 3) DVIVREP = 3.
IF (cdispuso = 1 & nudocal = 4) DVIVREP = 4.
IF (cdispuso = 1 & nudocal = 5) DVIVREP = 5.
IF (cdispuso = 1 & nudocal = 6) DVIVREP = 6.
IF (cdispuso = 1 & nudocal >= 7) DVIVREP = 7.
var label TCVIVREP 'SUBTOTAL 1 FAMILIA'
/CVIVREP '1 FAMILIA'.
value label
dvivrep
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.

* Nmero de dormitorios para Residencial 2 Familias. 
IF (cdispuso = 2) TDVIVRE2 = 1.
IF (cdispuso = 2 & nudocal = 1) DVIVRE2 = 1.
IF (cdispuso = 2 & nudocal = 2) DVIVRE2 = 2.
IF (cdispuso = 2 & nudocal = 3) DVIVRE2 = 3.
IF (cdispuso = 2 & nudocal = 4) DVIVRE2 = 4.
IF (cdispuso = 2 & nudocal = 5) DVIVRE2 = 5.
IF (cdispuso = 2 & nudocal = 6) DVIVRE2 = 6.
IF (cdispuso = 2 & nudocal >= 7) DVIVRE2 = 7.
var label TDVIVRE2 'SUBTOTAL 2 FAMILIAS'
/DVIVRE2 '2 FAMILIAS'.
value label
dvivre2
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.

* Nmero de dormitorios para Residencial 3 Familias. 
IF (cdispuso = 3) TDVIVRE3 = 1.
IF (cdispuso = 3 & nudocal = 1) DVIVRE3 = 1.
IF (cdispuso = 3 & nudocal = 2) DVIVRE3 = 2.
IF (cdispuso = 3 & nudocal = 3) DVIVRE3 = 3.
IF (cdispuso = 3 & nudocal = 4) DVIVRE3 = 4.
IF (cdispuso = 3 & nudocal = 5) DVIVRE3 = 5.
IF (cdispuso = 3 & nudocal = 6) DVIVRE3 = 6.
IF (cdispuso = 3 & nudocal >= 7) DVIVRE3 = 7.
var label TDVIVRE3 'SUBTOTAL 3 FAMILIAS'
/DVIVRE3 '3 FAMILIAS'.
value label
dvivre3
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.

* Nmero de dormitorios para Residencial Mixta. 
IF (cdispuso = 13) TDVIVRE4 = 1.
IF (cdispuso = 13 & nudocal = 1) DVIVRE4 = 1.
IF (cdispuso = 13 & nudocal = 2) DVIVRE4 = 2.
IF (cdispuso = 13 & nudocal = 3) DVIVRE4 = 3.
IF (cdispuso = 13 & nudocal = 4) DVIVRE4 = 4.
IF (cdispuso = 13 & nudocal = 5) DVIVRE4 = 5.
IF (cdispuso = 13 & nudocal = 6) DVIVRE4 = 6.
IF (cdispuso = 13 & nudocal >= 7) DVIVRE4 = 7.
var label TDVIVRE4 'SUBTOTAL MIXTA'
/DVIVRE4 'MIXTA'.
value label
dvivre4
  1   '1 DORMITORIO'
  2   '2 DORMITORIOS'
  3   '3 DORMITORIOS'
  4   '4 DORMITORIOS'
  5   '5 DORMITORIOS'
  6   '6 DORMITORIOS'
  7   '7 Y MAS DORMITORIOS'.
execute.

*Se recodifica la variable cimientos para que el "No aplica" se cargue a la categora "otros".
COMPUTE RCIMI = 0.
if (cimi = 120) RCIMI = 120.
if (cimi = 124) RCIMI = 124.
If (cimi = 128) RCIMI = 128.
if (cimi = 132) RCIMI = 132.
if (cimi = 136) RCIMI = 136.
if (cimi = 140) RCIMI = 136.
if (cimi = 0) RCIMI = 136.
var label RCIMI 'CIMIENTOS'.
val label
/rcimi
  120 'HORMIGON ARMADO'
  124 'HORMIGON CICLOPEO'
  128 'PILOTES MADERA'
  132 'PILOTES HORMIGN'
  136 'OTROS'.

*Se recodifica la variable estructura para que el "No aplica" se cargue a la categora "otros".
COMPUTE RESTRU = 0.
if (estru = 121) RESTRU = 121.
if (estru = 125) RESTRU = 125.
if (estru = 129) RESTRU = 129.
If (estru = 133) RESTRU = 133.
if (estru = 0) RESTRU = 133.
var label RESTRU 'ESTRUCTURA'.
val label
/restru
  121 'HORMIGN ARMADO'
  125 'METLICA'
  129 'MADERA'
  133 'OTROS'.

**Se recodifica la variable pared para que el "No aplica" se cargue a la categora "otros".
COMPUTE RPARED = 0.
if (pared = 122) RPARED = 122.
if (pared = 126) RPARED = 126.
If (pared = 130) RPARED = 130.
if (pared = 134) RPARED = 134.
if (pared = 138) RPARED = 138.
if (pared = 142) RPARED = 142.
if (pared = 146) RPARED = 146.
if (pared = 0) RPARED = 146.
var label RPARED 'PARED'.
val label
/RPARED
  122 'LADRILLO'
  126 'BLOQUE'
  130 'MADERA'
  134 'ADOBE TAPIA'
  138 'CAA REVESTIDA'
  142 'PREFABRICADA'
  146 'OTROS'

*Se recodifica la variable cubierta para que el "No aplica" se cargue a la categora "otros".
COMPUTE RCUBI = 0.
if (cubi = 123) RCUBI = 123.
if (cubi = 127) RCUBI = 127.
if (cubi = 131) RCUBI = 131.
If (cubi = 135) RCUBI = 135.
if (cubi = 139) RCUBI = 139.
if (cubi = 0) RCUBI = 139.
var label RCUBI 'CUBIERTA'.
val label
/RCUBI
  123 'HORMIGON ARMADO'
  127 'ETERNIT ASBESTO'
  131 'TEJA'
  135 'ZINC'
  139 'OTROS'.
execute.

/*****************************************/
/**Cuadro N.- .1. 
/*****************************************/

TABLES
  /OBSERVATION = cperm csute
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) > (t+cdispusx) by ((t + cdispsut) > cperm) + csute
 /STATISTICS SUM ('No.edificaciones')
 /TITLE   'EDIFICACIONES SEGN TAMAO DEL TERRENO Y SUPERFICIE TOTAL DEL TERRENO ao 2018'
  'POR  PROVINCIAS Y PROPSITO DE LA CONSTRUCCIN'
  '(NMERO Y METROS CUADRADOS)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .2. 
/*****************************************/

TABLES
  /OBSERVATION = csute carco cares carnres cardpar caesv
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) > (t+ctipobr) by (csute+carco+cares+carnres+cardpar+caesv)
 /STATISTICS SUM ('')
 /TITLE    'SUPERFICIE DEL TERRENO Y SUPERFICIE A CONSTRUIRSE EN M2 SEGN PROPSITO DE LA CONSTRUCCIN ao 2018'
'POR PROVINCIAS Y TIPO DE OBRA'
'(METROS CUADRADOS)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.


/*****************************************/
/**Cuadro N.- .3. 
/*****************************************/

TABLES
  /OBSERVATION =  cperm carcsing
  /FORMAT BLANK MISSING('.')
 /TABLE=  (tg+codprovf) > (t+cdispusx) by ((t + cdisparc) > cperm) + carcsing
 /STATISTICS SUM ('No.edificaciones')
 /TITLE ' EDIFICACIONES SEGN M2 A CONSTRUIRSE Y SUPERFICIE TOTAL A CONSTRUIRSE ao 2018'
'POR PROVINCIAS Y PROPSITO DE LA CONSTRUCCIN'
'(NMERO Y METROS CUADRADOS)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .4. 
/*****************************************/

TABLES
  /OBSERVATION =  cperm carcsing
  /FORMAT BLANK MISSING('.')
 /TABLE=  (tg+codprovf) > (t+cdisprfi) by ((t + cdisparc) > cperm) + carcsing
 /STATISTICS SUM ('No.edificaciones')
 /TITLE  'EDIFICACIONES SEGN M2 A CONSTRUIRSE Y SUPERFICIE TOTAL A CONSTRUIRSE EN M2 ao 2018'
'POR PROVINCIAS Y FUENTE DE FINANCIAMIENTO'
'(NMERO Y METROS CUADRADOS)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .5A y 5B. 
/*****************************************/

TABLES
  /OBSERVATION =  cperm carcsing
  /FORMAT BLANK MISSING('.')
 /TABLE=  (tg+codprovf) > (t+ctipobr) by ((t + cdispusx) > cperm)
 /STATISTICS SUM ('No.edificaciones')
 /TITLE  'EDIFICACIONES SEGN PROPSITO, ao 2018'
'POR PROVINCIAS Y TIPO DE OBRA'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .6A. 
/*****************************************/

TABLES
  /OBSERVATION = cperm
  /FORMAT BLANK MISSING('.')
 /TABLE=  (tg+codprovf) by (t + ( TCDISREP + cdisrep) ) > cperm
 /STATISTICS SUM ('No.edificaciones')
 /TITLE     ' EDIFICACIONES RESIDENCIALES SEGN NMERO DE PISOS ao 2018'
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.


/*****************************************/
/**Cuadro N.- .6B. 
/*****************************************/

TABLES
/OBSERVATION = cperm 
/TABLE   (tg+codprovf) by (t + ( TCDISNRP + cdisnrp) + (TCDISMIP + cdismip)) > cperm
/STATISTICS   sum('No.edificaciones')
/TITLE ' EDIFICACIONES NO RESIDENCIALES Y MIXTAS SEGN NMERO DE PISOS ao 2018'
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.


/*****************************************/
/**Cuadro N.- .7A. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE   (tg+codprovf) by (t + ( TCVIVREP + cvivrep)) > cnuvical
/STATISTICS   sum('No.viviendas')
/TITLE  'VIVIENDAS PARA RESIDENCIA DE UNA FAMILIA SEGN NMERO DE CUARTOS, ao 2018'
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .7B. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE   (tg+codprovf) by (t + ( TCVIVRE2 + cvivre2)) > cnuvical
/STATISTICS   sum('No.viviendas')
/TITLE  'VIVIENDAS PARA RESIDENCIA DE DOS FAMILIAS SEGN NMERO DE CUARTOS ao 2018' 
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .7C. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE  (tg+codprovf) by (t + ( TCVIVRE3 + cvivre3)) > cnuvical
/STATISTICS   sum('No.viviendas')
/TITLE    'VIVIENDAS PARA RESIDENCIA DE TRES FAMILIAS O MS SEGN NMERO DE CUARTOS ao 2018' 
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .7D. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE   (tg+codprovf) by (t + ( TCVIVRE4 + cvivre4)) > cnuvical
/STATISTICS   sum('No.viviendas')
/TITLE 'VIVIENDAS PARA EDIFICACIONES MIXTAS SEGN NMERO DE CUARTOS, ao 2018' 
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .8A. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE   (tg+codprovf) by (t + ( TDVIVREP + dvivrep)) > cnuvical
/STATISTICS   sum('No.viviendas')
/TITLE 'VIVIENDAS PARA RESIDENCIA DE UNA FAMILIA SEGN NMERO DE DORMITORIOS ao 2018 '
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .8B. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE   (tg+codprovf) by (t + ( TDVIVRE2 + dvivre2)) > cnuvical
/STATISTICS   sum('No.viviendas')
/TITLE  'VIVIENDAS PARA RESIDENCIA DE DOS FAMILIAS SEGN NMERO DE DORMITORIOS ao 2018 '
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .8C. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE   (tg+codprovf) by (t + ( TDVIVRE3 + dvivre3)) > cnuvical
/STATISTICS   sum('No.viviendas')
/TITLE  'VIVIENDAS PARA RESIDENCIA DE TRES FAMILIAS O MS SEGN NMERO DE DORMITORIOS ao 2018' 
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .8D. 
/*****************************************/

TABLES
/OBSERVATION cnuvical  
/TABLE   (tg+codprovf) by (t + ( TDVIVRE4 + dvivre4)) > cnuvical
/STATISTICS  sum('No.viviendas')
/TITLE 'VIVIENDAS PARA EDIFICACIONES MIXTAS SEGN NMERO DE DORMITORIOS ao 2018' 
'POR PROVINCIAS'
'(NMERO)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .9A Y 9B. 
/*****************************************/

TABLES
/OBSERVATION cvae
/TABLE   (tg+codprovf) > (t+cdispusx) by (t + cdisprfi) > cvae
/STATISTICS   sum('Valor Edificacin')
/TITLE     'CUADRO N. 9. VALOR DECLARADO DE LAS EDIFICACIONES POR RECURSOS PROPIOS DE FINANCIAMIENTO, SEGN PROVINCIAS,'
           'Y PROPSITO DE LA CONSTRUCCIN'
           '(EN DLARES AMERICANOS)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .10A Y 10B. 
/*****************************************/

TABLES
/OBSERVATION cvae
/TABLE   (tg+codprovf) > (t+ctipobr) by (t + cdisprfi) > cvae
/STATISTICS   sum('Valor Edificacin')
/TITLE  'VALOR DECLARADO DE LAS EDIFICACIONES SEGN RECURSOS PROPIOS DE FINANCIAMIENTO ao 2018'
'POR PROVINCIAS Y TIPO DE OBRA'
'(EN DLARES AMERICANOS)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .11. 
/*****************************************/

TABLES
  /OBSERVATION =  cperm
  /FORMAT BLANK MISSING('.')
 /TABLE= (tg+codprovf) by (t + rcimi + restru) > cperm
 /STATISTICS SUM ('No.edificaciones')
 /TITLE 'EDIFICACIONES SEGN TIPO DE MATERIAL PREDOMINANTE EN LOS CIMIENTOS Y ESTRUCTURA ao 2018'
'POR PROVINCIAS'
'(Nmero)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.


/*****************************************/
/**Cuadro N.- .12. 
/*****************************************/

TABLES
  /OBSERVATION =  cperm
  /FORMAT BLANK MISSING('.')
 /TABLE=   (tg+codprovf) by (t + rpared + rcubi) > cperm
 /STATISTICS SUM ('No.edificaciones')
 /TITLE 'EDIFICACIONES SEGN TIPO DE MATERIAL PREDOMINANTE EN LAS PAREDES Y CUBIERTA O TECHO ao 2018 '
'POR PROVINCIAS'
'(Nmero)'
 /CAPTION  'INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) - EDIFICACIONES 2018'.
EXECUTE.

delete variables cdispusx
t
tg
carcsing
TCDISREP
CDISREP
CDISNRP
CDISMIP
TCVIVREP
CVIVREP
TCVIVRE2
CVIVRE2
TCVIVRE3
CVIVRE3
TCVIVRE4
CVIVRE4
TDVIVREP
DVIVREP
TDVIVRE2
DVIVRE2
TDVIVRE3
DVIVRE3
TDVIVRE4
DVIVRE4
RCIMI
RESTRU
RPARED
RCUBI
TCDISNRP
TCDISMIP.
execute.
